function K = SztywnoscQ8AX( E, ni, x1, y1, x2, y2, x3, y3, x4, y4, x5, y5, x6, y6, x7, y7, x8, y8 )

    %porzadkowanie wspolrzednych wezlow
    Pnts(1,1) = x1;
    Pnts(1,2) = y1;
    Pnts(2,1) = x2;
    Pnts(2,2) = y2;
    Pnts(3,1) = x3;
    Pnts(3,2) = y3;
    Pnts(4,1) = x4;
    Pnts(4,2) = y4;
    Pnts(5,1) = x5;
    Pnts(5,2) = y5;
    Pnts(6,1) = x6;
    Pnts(6,2) = y6;
    Pnts(7,1) = x7;
    Pnts(7,2) = y7;
    Pnts(8,1) = x8;
    Pnts(8,2) = y8;

    %macierz sprezystosci
    mnoznik = E ./ ((1 + ni) .* (1 - 2 .* ni));
    D = mnoznik .* [(1 - ni) ni 0 ni; ni (1 - ni) 0 ni; 0 0 ((1 - 2 .* ni)./2) 0; ni ni 0 (1 - ni)];
    
    %macierz sztywnosci
    K = zeros(16,16);
    %osiowa symetrycznosc, obwod = 2Pi*r
    t_rad = 2 .* pi;
    for iG = 1:9        
        [B detJ r] = Q8AXmakeB( iG, Pnts );
        BDB = B' * D * B;
        GP = GaussQ8( iG );
        k = GP.w .* detJ .* BDB .* t_rad .* r;        
        K = K + k;
    end    

end

